org.apache.lucene.luke.app.desktop.util

## Class FontUtils

- java.lang.Object
- - org.apache.lucene.luke.app.desktop.util.FontUtils

-     public class FontUtils
      extends Object

  Font utilities

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `TTF_RESOURCE_NAME`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Font` | `createElegantIconFont()`
    `static String` | `elegantIconHtml(String iconRef)` Generates HTML text with embedded Elegant Icon Font.
    `static String` | `elegantIconHtml(String iconRef, String text)` Generates HTML text with embedded Elegant Icon Font.
    `static JLabel` | `toLinkText(JLabel label)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TTF_RESOURCE_NAME

          public static final String TTF_RESOURCE_NAME

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### toLinkText

          public static JLabel toLinkText(JLabel label)

    - #### createElegantIconFont

          public static Font createElegantIconFont()
                                            throws IOException,
                                                   FontFormatException

      Throws:
        `IOException`
        `FontFormatException`

    - #### elegantIconHtml

          public static String elegantIconHtml(String iconRef)

      Generates HTML text with embedded Elegant Icon Font. See: https://www.elegantthemes.com/blog/resources/elegant-icon-font
      Parameters:
        `iconRef` - HTML numeric character reference of the icon

    - #### elegantIconHtml

          public static String elegantIconHtml(String iconRef,
                                               String text)

      Generates HTML text with embedded Elegant Icon Font.
      Parameters:
        `iconRef` - HTML numeric character reference of the icon
        `text` - - HTML text

Copyright © 2000-2024 Apache Software Foundation. All Rights Reserved.